# ErrorDrawer Class Reference
[CAPTCHA's implementation]

List of all members.

## Public Member Functions

| __construct ($turingImage)
| draw ($string= 'ERROR!')

## Static Public Member Functions

static | setDrawError ($drawError=false)
static | isDrawError ()

## Public Attributes

const | FONT_SIZE = 4

## Static Private Attributes

static | $drawError = true

## Detailed Description

Definition at line 15 of file ErrorDrawer.class.php.

## Constructor & Destructor Documentation

ErrorDrawer::__construct | ( | $ | turingImage | ) |

Definition at line 31 of file ErrorDrawer.class.php.

## Member Function Documentation

ErrorDrawer::draw | ( | $ | string = `'ERROR!'` | ) |

Returns:
  ErrorDrawer

Definition at line 39 of file ErrorDrawer.class.php.

References FONT_SIZE, and isDrawError().

Here is the call graph for this function:

static ErrorDrawer::isDrawError | ( |  | ) | `[static]`

Definition at line 26 of file ErrorDrawer.class.php.

Referenced by draw().

static ErrorDrawer::setDrawError | ( | $ | drawError = `false` | ) | `[static]`

Definition at line 21 of file ErrorDrawer.class.php.

References $drawError.

## Member Data Documentation

ErrorDrawer::$drawError = true`[static, private]`

Definition at line 19 of file ErrorDrawer.class.php.

Referenced by setDrawError().

const ErrorDrawer::FONT_SIZE = 4

Definition at line 17 of file ErrorDrawer.class.php.

Referenced by draw().

The documentation for this class was generated from the following file:

- main/Utils/TuringTest/ErrorDrawer.class.php